Bug 1316709 - satellite 5.7 System Set Manager Errata Category filtering not working.
satellite 5.7 System Set Manager Errata Category filtering not working.
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: redhat-access-plugin-sat5 (Show other bugs)
570
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Lindani Phiri
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 16:08 EST by Federico Sun
Modified: 2018-04-10 10:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-10 10:00:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Sun 2016-03-10 16:08:27 EST
Description of problem:

Under System Set Manager, Errata category filtering not working.

Version-Release number of selected component (if applicable):

Tested on Satellite 5.7.0

How reproducible:

every time.

Steps to Reproduce:
1. Login to Satellite as admin. 
2. click on 'Systems'.
3. select a any system with Errata.
4. click 'Manage' in the right corner above to go into System Set Manager view.
5. click on the 'Errata' tab.
6. open the dropdown box and select any category to be filtered, then click on "Show".

Actual results:

The returned list shows ALL the erratas. The dropdown box will go back to 'All', as if step 6 doesn't have any effect.

Expected results:

The returned list is from the chosen category in step 6.
Comment 1 Tomas Lestach 2016-03-11 03:53:16 EST
I just tried this on Sat5.7 with spacewalk-java-2.3.8-123 and filtering errata (Non-Critical/Bug Fix Advisory/Product Enhancement Advisory/Security Advisory) works for me as expected.
Federico, just note that Show button generates a regular POST request and whole page needs to be reloaded.
Comment 4 Tomas Lestach 2016-03-14 05:01:54 EDT
Based on Comment#3 I'm switching the component to redhat-access-plugin-sat5. It looks the plugin interferes with Satellite WebUI.

Note You need to log in before you can comment on or make changes to this bug.